@ECHO OFF
SET BASEDIR=%~dp0
SET ROOTFS=%BASEDIR%EzWSL\rootfs.tar.gz

REM Change this to Your Installed Distro Name
SET DISTRO=UbuntuCore
SET WSLLAUNCH=%BASEDIR%EzWSL\files\WSLLaunch.exe

REM Jump to installer
CALL :VALIDATE_INSTALL


REM !Main install tasks
:INSTALL
CLS
ECHO Starting to Install: %DISTRO%
ECHO Will install to: %BASEDIR%
ECHO.
ECHO.
REM Copy rootfs
XCOPY %ROOTFS% %BASEDIR%
REM Install
wsl --import %DISTRO% %BASEDIR% %BASEDIR%rootfs.tar.gz --version 1
REM Copy launcher and rename
XCOPY %WSLLAUNCH% %BASEDIR%
MOVE %BASEDIR%WSLLaunch.exe %BASEDIR%%DISTRO%.exe
START %BASEDIR%%DISTRO%.exe
CALL :QUIT


REM Validations

:VALIDATE_INSTALL
REM Validate Files.
IF NOT EXIST  "%ROOTFS%" ( CALL :ROOTFS_MISSING )
IF NOT EXIST "%WSLLAUNCH%" ( CALL :WSLLAUNCH_MISSING )

REM Install
CALL :INSTALL

:ROOTFS_MISSING
ECHO %ROOTFS% MISSING
CALL :QUIT
:WSLINSTALL_MISSING
ECHO %WSLINSTALL% MISSING
CALL :QUIT
:WSLLAUNCH_MISSING
ECHO %WSLLAUNCH% MISSING
CALL :QUIT

:QUIT
pause
exit